import http from "@/utils/request"

export default {
	ver: {
		url: `/demo/ver`,
		name: "获取最新版本号",
		get: async function(){
			return await http.get({},this.url,{
				baseURL: "/mock"
			});
		}
	},
	post: {
		url: `/demo/post`,
		name: "分页列表",
		post: async function(data){
			return await http.post(data,this.url, {
				headers: {
					//'response-status': 401
				},
				baseURL: "/mock"
			});
		}
	},
	page: {
		url: `/demo/page`,
		name: "分页列表",
		get: async function(params){
			return await http.get(params,this.url, {
				baseURL: "/mock"
			});
		}
	},
	menu: {
		url: `/demo/menu`,
		name: "普通用户菜单",
		get: async function(){
			return await http.get({},this.url, {
				baseURL: "/mock"
			});
		}
	}
}
